JS strict warning in the account manager when removing the last account

RESOLVED FIXED in 0.3a1

Status

Instantbird
Account manager
--
trivial
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: florian, Assigned: Mic)

Tracking

trunk
0.3a1
x86
Other

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

5 years ago
*** Original post on bio 408 at 2010-04-30 15:30:00 UTC ***

JavaScript strict warning: chrome://instantbird/content/accounts.js, line 114: reference to undefined property accountList.selectedItem.buttons

Make sure the JS strict warning are enabled before you try to reproduce.
(Assignee)

Comment 1

5 years ago
Created attachment 8352090 [details] [diff] [review]
Fix v1

*** Original post on bio 408 as attmnt 349 at 2010-09-02 17:57:00 UTC ***

Fixed by checking if there are any items left in the list.
Attachment #8352090 - Flags: review?(florian)
(Assignee)

Updated

5 years ago
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
(Assignee)

Comment 2

5 years ago
Created attachment 8352096 [details] [diff] [review]
Fix v2

*** Original post on bio 408 as attmnt 354 at 2010-09-13 19:21:00 UTC ***

Changed as discussed on IRC:
* returning early instead of including last section into an if-block.
* Focusing the New Account button as there are no accounts anymore.
Attachment #8352096 - Flags: review?(florian)
(Assignee)

Comment 3

5 years ago
Comment on attachment 8352090 [details] [diff] [review]
Fix v1

*** Original change on bio 408 attmnt 349 at 2010-09-13 19:21:37 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352090 - Attachment is obsolete: true
Attachment #8352090 - Flags: review?(florian)
(Reporter)

Comment 4

5 years ago
Comment on attachment 8352096 [details] [diff] [review]
Fix v2

*** Original change on bio 408 attmnt 354 at 2010-09-14 10:21:30 UTC ***

Coding style nit:
+    if(accountList.itemCount == 0){
Space after 'if' and before '{'. (I'll add them for the check-in).
Attachment #8352096 - Flags: review?(florian) → review+
(Reporter)

Comment 5

5 years ago
*** Original post on bio 408 at 2010-09-14 18:48:32 UTC ***

Fixed, thanks!
https://hg.instantbird.org/instantbird/rev/6b7c024577e2
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
You need to log in before you can comment on or make changes to this bug.